Bug 436897 - Use the END and HOME keys to jump through the results
Summary: Use the END and HOME keys to jump through the results
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: 5.21.4
Platform: Other Other
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-05-10 22:44 UTC by Podagric
Modified: 2021-09-28 01:12 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
screenshot (69.48 KB, image/png)
2021-05-10 22:47 UTC, Podagric
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Podagric 2021-05-10 22:44:12 UTC
SUMMARY
If the Krunner search result is very large, and/or you have activated several different runners, you will need to use the arrow keys and go down individually to the option you were looking for. There is no option to jump between runners, or to go directly to the bottom of the list.


EXPECTED RESULT
Perhaps the END and HOME keys could be captured to skip to the end and beginning of the list?

In addition, the arrows on the keyboard, when used with the CTRL pressed, could change runners. 
Generally the CTRL has this behavior of modifying the function of the arrows, so the suggestion, but it could really be any other that someone finds better.
Comment 1 Podagric 2021-05-10 22:47:48 UTC
Created attachment 138306 [details]
screenshot

Attached in this commentary is an example.
See this list of results, I typed 'info' to search for the PDF I opened recently, but it is one of the last items on the list.
Comment 2 Elisha Daugherty Podagric 2021-05-11 00:51:15 UTC
ops, I was forgetting: it is clear that it is possible to use the arrow in the opposite direction, but it would still be useful jump between runners.
Comment 3 Alexander Lohnau 2021-05-11 07:49:43 UTC
>Perhaps the END and HOME keys could be captured to skip to the end and beginning of the list?

That is a nice idea! Considering that those keys currently don't do anything it should not disrupt anyone's workflow.

>In addition, the arrows on the keyboard, when used with the CTRL pressed, could change runners. 
>Generally the CTRL has this behavior of modifying the function of the arrows, so the suggestion, but it could really be any other that someone finds better.

I think this would cause inconsistency between applications. For example in systemsettings or dolphin Ctrl+Arrow_Key only moves the cursor one position. Maybe one could use the Page-Up/Down keys for this kind of interaction? But that might only be beneficial for laptop keyboards.
Comment 4 Podagric 2021-05-11 13:24:41 UTC
> I think this would cause inconsistency between applications. For example in systemsettings or dolphin Ctrl+Arrow_Key only moves the cursor one position. Maybe one could use the Page-Up/Down keys for this kind of interaction? But that might only be beneficial for laptop keyboards.

I was able to navigate systemsettings using the arrows, without using ctrl. then it wouldn't be an inconsistency... So it could be something added to the kcm itself, too.
or am i using any version other than yours?

I think the most important thing would be to have an option to jump between runners, since it is possible to jump to the bottom of the list using the arrow in the opposite direction.
Comment 5 Alexander Lohnau 2021-05-11 13:27:44 UTC
>I was able to navigate systemsettings using the arrows, without using ctrl. then it wouldn't be an inconsistency... So it could be something added to the kcm itself, too.

Yeah, but there is only moves one entry at the time, no matter if you press Ctrl or not.
Comment 6 Nate Graham 2021-05-11 18:33:17 UTC
+1 for using home and end to navigate the results list. Keep in mind that these keys are also used for text navigation, so they would have to only do this when the text field is not focused.